import java.sql.*;

public class Main {
    private static String url = "jdbc:sqlite:identifier.sqlite";
    public static void main(String[] args) {
        //insert("p21123","Paul",2021,"p1@gmail.com");
        simpleSelectAll();
    }
    private static void simpleSelectAll(){
        try {
            Connection connection = DriverManager.getConnection(url);
            Statement statement = connection.createStatement();
            ResultSet resultSet = statement.executeQuery("SELECT * from student");
            while (resultSet.next()){
                System.out.println("Student Name: "
                        +resultSet.getString("fullname")
                        +", Year: "+resultSet.getInt("year"));
            }
            statement.close();
            connection.close();
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }
    private static void insert(String am, String fullname, int year, String email){
        try {
            Connection connection = DriverManager.getConnection(url);

            PreparedStatement preparedStatement =
                    connection.prepareStatement("INSERT into student values(?,?,?,?)");
            preparedStatement.setString(1,am);
            preparedStatement.setString(2,fullname);
            preparedStatement.setInt(3,year);
            preparedStatement.setString(4,email);
            preparedStatement.executeUpdate();
            preparedStatement.close();
            connection.close();
            System.out.println("Done!");
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }

    }
}